


// Error codes
#define E_THERMO(x)                     2000+x

#define E_THERMO_NO_PORT                E_THERMO(1)
#define E_THERMO_INVALID_PORT           E_THERMO(2)


#ifdef _WINDOWS

#ifdef THERMOPCLIB

extern "C" int __declspec(dllexport) __stdcall ReadC( long lptPort, long* pTemp );

#else

#ifdef __cplusplus

extern "C" int __declspec(dllimport) __stdcall ReadC( long lptPort, long* pTemp );

#else

int __declspec(dllimport) __stdcall ReadC( long lptPort, long* pTemp );

#endif  /* cplusplus */

#endif  /* THERMOPCLIB */

#else   /* WINDOWS */

#ifdef __cplusplus

extern "C" int pascal ReadC( short lptPort, short* pTemp );

#else

int pascal ReadC( short lptPort, short* pTemp );

#endif	/* cplusplus */

#endif